Get a download session
GET
/v1/download-sessions/{downloadSessionId}curl -X GET 'https://api.embodiflow.io/v1/download-sessions/{downloadSessionId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- downloadSessionIdstringrequired
Responses
Success
- dataobjectrequired
- idstringrequired
- tenantIdstringrequired
- scopeTypestringrequired
- scopeIdstringrequired
- datasetVersionIdstring | nullrequired
- artifactIdstring | nullrequired
- storageBucketIdstring | nullrequired
- manifestObjectIdstring | nullrequired
- objectPrefixstring | nullrequired
- accessModestringrequired
- deliveryModestringrequired
- statusstringrequired
- expiresAtstringrequired
- lastUsedAtstring | nullrequired
- createdAtstringrequired
- updatedAtstringrequired
Response example
{
"data": {
"id": "string",
"tenantId": "string",
"scopeType": "string",
"scopeId": "string",
"datasetVersionId": "string",
"artifactId": "string",
"storageBucketId": "string",
"manifestObjectId": "string",
"objectPrefix": "string",
"accessMode": "string",
"deliveryMode": "string",
"status": "string",
"expiresAt": "string",
"lastUsedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1